/*
COPYRIGHT (C) 2001  Stphane List (stephane.list@fr.alcove.com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
*/


#include <linux/module.h>

#include <asm/io.h>

#include <asm/rtai.h>
#include <rtai_fifos.h>
#include <rtai_sched.h>


#define RT_STACK_SIZE 1000
#define RT_PRIORITY 0
#define NO_FPU 0
#define FPU 1

RT_TASK task;
int i=0;

void thread_code(int toto)
{
	while(i<10){
		rt_printk("rt : Hello World in log \n");
		rtai_print_to_screen("rt : Hello World on screen\n");
		i++;
		rt_task_yield();
	}
}

int init_module(void)
{
	printk("Kernel : Hello World in log \n");
        rt_task_init(&task, thread_code, 0, RT_STACK_SIZE , RT_PRIORITY, NO_FPU, 0);
	rt_set_oneshot_mode();
	start_rt_timer_ns(10000000);
        rt_task_resume(&task);
	
	return 0;
}

void cleanup_module(void)
{
        rt_task_delete(&task);
}
